Skip to main content
PATCH
Set rank

Authorizations

Authorization
string
header
required

A workspace API key from Settings › Developer.

Query Parameters

workspace_id
string
required

The workspace: the 24-character ID in its Ankra address, or its UUID.

Body

application/json
roblox_user_id
integer
required

The Roblox user ID of the person.

role_id
string

The Roblox role ID to rank them to.

rank
integer

The rank number to rank them to, looked up in the group's roles.

Required range: 1 <= x <= 255
executor_roblox_user_id
integer

Roblox user ID of whoever did this in game. Recorded as the actor when they are linked to someone in the workspace.

Response

OK.

success
boolean